package com.pqs9000.mapper.report;

import com.pqs9000.pojo.report.Condition;
import com.pqs9000.pojo.report.ReportValue;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface GetVoltageRateMapper {
    List<Map<String, Object>> getVoltageRate(@Param("condition") Condition condition, @Param("listValue") List<Integer> list);

    List<ReportValue> getFirstHarmonic(@Param("condition") Condition condition);

    List<Map<String, Object>> getHVoltageRate(@Param("condition") Condition condition);
}
